The NetBSD Project

CVS log for pkgsrc/devel/p5-Dist-Zilla/distinfo

[BACK] Up to [cvs.NetBSD.org] / pkgsrc / devel / p5-Dist-Zilla

Request diff between arbitrary revisions


Default branch: MAIN


Revision 1.28 / (download) - annotate - [select for diffs], Tue Jun 27 07:24:33 2023 UTC (3 months ago) by wen
Branch: MAIN
CVS Tags: pkgsrc-2023Q3-base, pkgsrc-2023Q3, HEAD
Changes since 1.27: +4 -4 lines
Diff to previous 1.27 (colored)

Update to 6.030

Upstream changes:
6.030     2023-01-18 21:36:40-05:00 America/New_York
        - "dzil new" will use command line options before configuration
        - "dzil add" now falls back to %Mint stash options before defaults
          (for both of the above: thanks, Graham Knop!)

6.029     2022-11-25 17:02:33-05:00 America/New_York
        - update some links to use https instead of http (thanks, Elvin
          Aslanov)
        - turn on strict and warnings in generated author tests (thanks, Mark
          Flickinger)
        - use "v1.2.3" for multi-dot versions in "package NAME VERSION" formats
          (thanks, Branislav Zahradník)
        - fixes to operation on msys (thanks, Paulo Custodio)
        - add "main_module" option to MakeMaker (thanks, Tatsuhiko Miyagawa)
        - fix authordeps behavior; don't add an object to @INC (thanks, Shoichi
          Kaji)

6.028     2022-11-09 10:54:14-05:00 America/New_York
        - remove bogus work-in-progress signatures-using commit from 6.027;
          that was a bad release! thanks for the heads-up about it to Gianni
          "dakkar" Ceccarelli!

6.027     2022-11-06 17:52:20-05:00 America/New_York
        - if DZIL_COLOR is set to 0, override auto-detection

Revision 1.27 / (download) - annotate - [select for diffs], Sat Jul 16 07:23:15 2022 UTC (14 months, 2 weeks ago) by wen
Branch: MAIN
CVS Tags: pkgsrc-2023Q2-base, pkgsrc-2023Q2, pkgsrc-2023Q1-base, pkgsrc-2023Q1, pkgsrc-2022Q4-base, pkgsrc-2022Q4, pkgsrc-2022Q3-base, pkgsrc-2022Q3
Changes since 1.26: +4 -4 lines
Diff to previous 1.26 (colored)

Update to 6.025
Remove unneeded TEST_DEPENDS

Upstream changes:
6.025     2022-05-28 11:55:35-04:00 America/New_York
        - eliminate use of multidimensional array emulation

Revision 1.26 / (download) - annotate - [select for diffs], Tue Oct 26 10:16:30 2021 UTC (23 months ago) by nia
Branch: MAIN
CVS Tags: pkgsrc-2022Q2-base, pkgsrc-2022Q2, pkgsrc-2022Q1-base, pkgsrc-2022Q1, pkgsrc-2021Q4-base, pkgsrc-2021Q4
Changes since 1.25: +2 -2 lines
Diff to previous 1.25 (colored)

archivers: Replace RMD160 checksums with BLAKE2s checksums

All checksums have been double-checked against existing RMD160 and
SHA512 hashes

Could not be committed due to merge conflict:
devel/py-traitlets/distinfo

The following distfiles were unfetchable (note: some may be only fetched
conditionally):

./devel/pvs/distinfo pvs-3.2-solaris.tgz
./devel/eclipse/distinfo eclipse-sourceBuild-srcIncluded-3.0.1.zip

Revision 1.25 / (download) - annotate - [select for diffs], Thu Oct 7 13:41:23 2021 UTC (23 months, 3 weeks ago) by nia
Branch: MAIN
Changes since 1.24: +1 -2 lines
Diff to previous 1.24 (colored)

devel: Remove SHA1 hashes for distfiles

Revision 1.24 / (download) - annotate - [select for diffs], Sat Oct 2 12:42:00 2021 UTC (23 months, 4 weeks ago) by wen
Branch: MAIN
Changes since 1.23: +5 -5 lines
Diff to previous 1.23 (colored)

Update to 6.024
Update DEPENDS

Upstream changes:
6.024     2021-08-01 15:38:44-04:00 America/New_York
        - pass the dist name to Software::License as the program name
          (thanks, Van de Bugger!)
        - create the ArchiveBuilder role for building the archive file
          (thanks, Graham Ollis!)

6.023     2021-07-06 21:37:37-04:00 America/New_York
        - tweak the autoprereqs tests to avoid failing when List::MoreUtils
          (which DZ does not actually need) is not installed)

6.022     2021-06-27 21:36:53-04:00 America/New_York
        - remove dependency on Class::Load, which is not used
        - bump prereq on PPI to 1.222, which is now used in PkgVersion
          (thanks, Dan Book and Sven Kirmess)

6.021     2021-06-27 21:31:21-04:00 America/New_York
        - [ broken release, don't bother ]

6.020     2021-06-14 12:16:09-04:00 America/New_York
        - The log colorization code was trying to use 24-bit color even when
          the installed Term::ANSIColor couldn't support it.  This has been
          fixed by requiring Term::ANSIColor v5.  Thanks, Robert Rothenberg,
          Michael McClimon, and Matthew Horsfall.

6.019     2021-06-13 08:39:14-04:00 America/New_York
        - When using "use_package" in PkgVersion, do not eradicate the entire
          block of "package NAME BLOCK" syntax!  Wow, what a bug...

6.018     2021-04-03 21:07:54-04:00 America/New_York (TRIAL RELEASE)
        - require perl v5.20.0, now seven years old
        - add Test::CleanNamespaces, clean all namespaces
        - add the same boilerplate of version/pragma/features to every module
        - colorize logger prefix when running in a terminal

6.017     2020-11-02 19:30:21-05:00 America/New_York
        - replace broken 6.016, released from a confused git repo

6.016     2020-11-02 19:27:18-05:00 America/New_York (TRIAL RELEASE)
        - the test generated by [MetaTests] is now an author test, not a
          release test (thanks, Karen Etheridge)
        - UploadToCPAN will now retry (thanks, PERLANCAR)
        - some bug fixes for msys (thanks, Håkon Hægland)

Revision 1.23 / (download) - annotate - [select for diffs], Sun Sep 6 23:03:14 2020 UTC (3 years ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2021Q3-base, pkgsrc-2021Q3, pkgsrc-2021Q2-base, pkgsrc-2021Q2, pkgsrc-2021Q1-base, pkgsrc-2021Q1, pkgsrc-2020Q4-base, pkgsrc-2020Q4, pkgsrc-2020Q3-base, pkgsrc-2020Q3
Changes since 1.22: +5 -5 lines
Diff to previous 1.22 (colored)

p5-Dist-Zilla: update to 6.015.

6.015     2020-05-29 14:30:51-04:00 America/New_York
        - add docs for "dzil release -j" (thanks, Jonas B. Nielsen)
        - fix support for dist.pl (why??? ) (thanks, Kent Frederic)
        - remove unnecessary check for Pod::Simple being loaded (Dave Lambley)

Revision 1.22 / (download) - annotate - [select for diffs], Sat Mar 21 14:04:56 2020 UTC (3 years, 6 months ago) by mef
Branch: MAIN
CVS Tags: pkgsrc-2020Q2-base, pkgsrc-2020Q2, pkgsrc-2020Q1-base, pkgsrc-2020Q1
Changes since 1.21: +5 -5 lines
Diff to previous 1.21 (colored)

(devel/p5-Dist-Zilla) Updated to 6.014

6.014     2020-03-01 04:26:38-05:00 America/New_York
        - some doc improvements by Shlomi Fish
        - cope with E<...> in abstracts (thanks, Dave Lambley!)
        - Respect jobs number in HARNESS_OPTIONS (thanks, Leon Timmermans!)
        - Add --jobs argument to dzil release (thanks, Leon Timmermans!)
        - replace uses of File::HomeDir with a simple glob (thanks, Karen
          Etheridge!)
        - fix interaction of TRIAL comment and BEGIN block in PkgVersion
          (thanks, Michael Conrad and Felix Ostmann)
        - fix documentation for default NextRelease format (thanks, Dan Book!)
        - the build directory is also added to @INC when evaluating 'dzil
          authordeps --missing' (thanks, Karen Etheridge!)
        - add comments to generated CPANfile saying "don't edit me!"
          (thanks Doug Bell)
        - tests for [CPANFile] (thanks, Daniel Bmer)

Revision 1.21 / (download) - annotate - [select for diffs], Wed May 2 10:20:55 2018 UTC (5 years, 5 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2019Q4-base, pkgsrc-2019Q4, pkgsrc-2019Q3-base, pkgsrc-2019Q3, pkgsrc-2019Q2-base, pkgsrc-2019Q2, pkgsrc-2019Q1-base, pkgsrc-2019Q1, pkgsrc-2018Q4-base, pkgsrc-2018Q4, pkgsrc-2018Q3-base, pkgsrc-2018Q3, pkgsrc-2018Q2-base, pkgsrc-2018Q2
Changes since 1.20: +5 -5 lines
Diff to previous 1.20 (colored)

p5-Dist-Zilla: update to 6.012.

6.012     2018-04-21 10:20:21+02:00 Europe/Oslo
        - revert addition of Archive::Tar::Wrapper as a mandatory prereq (in
          release 6.011).
        - require a version of Config::MVP that adds the cwd back to @INC
        - record the perl version being used into META file
        - tiny fix to help output for "dzil new"

Revision 1.20 / (download) - annotate - [select for diffs], Sun Feb 25 16:55:30 2018 UTC (5 years, 7 months ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2018Q1-base, pkgsrc-2018Q1
Changes since 1.19: +5 -5 lines
Diff to previous 1.19 (colored)

p5-Dist-Zilla: update to 6.011.

6.011     2018-02-11 12:57:02-05:00 America/New_York
        - stashes can now be added in [%Stash] form from a bundle (thanks,
          Karen Etheridge)
        - use $V env var as an override, when set, in [AutoVersion]
          (thanks, Karen Etheridge)
        - all remaining uses of Class::Load are replaced with Module::Runtime
          (thanks, Karen Etheridge)

Revision 1.19 / (download) - annotate - [select for diffs], Sun Sep 17 10:18:34 2017 UTC (6 years ago) by wiz
Branch: MAIN
CVS Tags: pkgsrc-2017Q4-base, pkgsrc-2017Q4, pkgsrc-2017Q3-base, pkgsrc-2017Q3
Changes since 1.18: +5 -5 lines
Diff to previous 1.18 (colored)

p5-Dist-Zilla: update to 6.010.

6.010     2017-07-10 09:22:16-04:00 America/New_York
        - a few documentation improvements (thanks, Chase Whitener, Mary
          Ehlers, and Jonas B. Nielsen)
        - improve behavior under a noninteractive terminal
        - empty file finders should now consistently return []

Revision 1.18 / (download) - annotate - [select for diffs], Mon Mar 20 10:06:51 2017 UTC (6 years, 6 months ago) by mef
Branch: MAIN
CVS Tags: pkgsrc-2017Q2-base, pkgsrc-2017Q2, pkgsrc-2017Q1-base, pkgsrc-2017Q1
Changes since 1.17: +5 -5 lines
Diff to previous 1.17 (colored)

Updated devel/p5-Dist-Zilla to 6.009
------------------------------------
6.009     2017-03-04 11:16:37-05:00 America/New_York
        - update DateTime::TimeZone prereq on Win32 to improve workingness
          (thanks, Schwern!)
        - add --recommends and --requires and --suggests to listdeps
        - improve testing of listdeps (thanks, Mickey Nasriachi!)
        - Module::Runtime is now considered 'internal' for the purpose of
          carping (thanks, Karen Etheridge!)
        - ./tmp is now pruned by PruneCruft (thanks, Karent Etheridge!)
        - authordeps now picks up :version for the root section (thanks,
          Karen!)
        - the config loading of the "perl" config loader is more reliable, but
          still please don't use it (thanks, Karen!)
        - introducing a new plugin, [GatherFile], to support adding individual
          files to the distribution (thanks, Karen!)

Revision 1.17 / (download) - annotate - [select for diffs], Wed Oct 12 14:48:47 2016 UTC (6 years, 11 months ago) by mef
Branch: MAIN
CVS Tags: pkgsrc-2016Q4-base, pkgsrc-2016Q4
Changes since 1.16: +5 -5 lines
Diff to previous 1.16 (colored)

Updated devel/p5-Dist-Zilla to 6.008
------------------------------------
6.008     2016-10-05 21:35:23-04:00 America/New_York
        - fix the skip message from ExtraTests (thanks, Roy Ivy )
        - cope with error changes in latest Moose (thanks, Karen Etheridge and
          Dave Rolsky)
        - always stringify $] in MetaConfig to avoid losing trailing zeroes
          through numification (thanks, Karen Etheridge!)

Revision 1.16 / (download) - annotate - [select for diffs], Tue Aug 9 13:42:54 2016 UTC (7 years, 1 month ago) by mef
Branch: MAIN
CVS Tags: pkgsrc-2016Q3-base, pkgsrc-2016Q3
Changes since 1.15: +5 -5 lines
Diff to previous 1.15 (colored)

Updated devel/p5-Dist-Zilla to 6.007
------------------------------------
6.007     2016-08-06 14:04:39-04:00 America/New_York
        - restrict [MetaYAML] to metaspec v1.4, [MetaJSON] to v2.0+, as other
          version combinations are not well-supported by the toolchain

Revision 1.15 / (download) - annotate - [select for diffs], Fri Jul 15 13:33:46 2016 UTC (7 years, 2 months ago) by wen
Branch: MAIN
Changes since 1.14: +5 -5 lines
Diff to previous 1.14 (colored)

Update to 6.006

Upstream changes:
6.006     2016-07-04 10:56:36-04:00 America/New_York
        - add some documentation to Dist::Zilla::App::Tester (thanks, Alberto
          Sim繭s!)
        - optimizations to regex munging (thanks, Olivier Mengu)
        - add x_serialization_backend to META.* files (thanks, Karen
          Etheridge!)
        - metadata plugins are called before metadata defaults are built
          (thanks, Karen Etheridge!)
        - don't use ExtraTests plugin, but if you do, its generated test files
          are a bit faster when unused

Revision 1.14 / (download) - annotate - [select for diffs], Mon May 30 21:33:14 2016 UTC (7 years, 4 months ago) by mef
Branch: MAIN
CVS Tags: pkgsrc-2016Q2-base, pkgsrc-2016Q2
Changes since 1.13: +5 -5 lines
Diff to previous 1.13 (colored)

Updated devel/p5-Dist-Zilla to 6.005  (From 5.047)
--------------------------------------------------
6.005     2016-05-23 08:08:15-04:00 America/New_York
        - NextRelease now dies if there's no changelog file found
          (thanks, Karen Etheridge)
        - Module::Runtime replaces Class::Load (thanks Olivier Mengu

6.004     2016-05-14 09:14:19-04:00 America/New_York (TRIAL RELEASE)
        - stop listing Path::Class as a prereq (thanks, Karen Etheridge)
        - update docs on path types (thanks, Graham Ollis)

6.003     2016-04-24 19:23:46+01:00 Europe/London (TRIAL RELEASE)
        - leading BOM (FEFF) is stripped on UTF-8 content
        - PPI now handles characters, not bytes, fixing non-ASCII
          non-comments in your source

6.002     2016-04-23 17:50:26+01:00 Europe/London (TRIAL RELEASE)
        - tweaks to Dist::Zilla::Path to keep plugins from v5 era working

6.001     2016-04-23 13:21:56+01:00 Europe/London
        [THIS RELEASE MIGHT BREAK YOUR BUILD]
        - Using a Dist::Zilla::Path like a Path::Class object now issues a
          deprecation warning ("this will be removed") once per call site.

6.000     2016-04-23 11:35:28+01:00 Europe/London (TRIAL RELEASE)
        [THIS RELEASE MIGHT BREAK YOUR BUILD]
        - Path::Class has been excised in favor of Path::Tiny, exposed as
          Dist::Zilla::Path; it will still respond to ->subdir and ->file, but
          only until Dist::Zilla v7 -- fix your plugins by then!

        - The --verbose switch to dzil is now strictly on/off.  To set
          verbosity on a per-plugin basis, use the -V switch.  Unfortunately,
          per-plugin verbosity seems to have been broken for some time, anyway.

        - The plugins [Prereq] and [AutoPrereq] and [BumpVersion] have been
          removed.  These were long deprecated.  (Don't confuse Prereq, for
          example, with the plural Prereqs, which is the correct plugin.)

        - [PkgVersion] now supports a use_package argument which will put the
          version in the package statement.  (Remember that this syntax was
          introduced in perl v5.12.0.)

        - Dist::Zilla now requires perl v5.14.0.  It will still happily build
          dists that run on whatever version of perl you like.

Revision 1.13 / (download) - annotate - [select for diffs], Tue May 3 11:58:01 2016 UTC (7 years, 4 months ago) by mef
Branch: MAIN
Changes since 1.12: +5 -5 lines
Diff to previous 1.12 (colored)

Updated to devel/p5-Dist-Zilla 5.047
------------------------------------
5.047     2016-04-23 16:20:13+01:00 Europe/London
        - cast things to Path::Class as needed, for now, for v6 backcompat
          (don't expect more commits like this)

5.046     2016-04-22 15:50:27+01:00 Europe/London
        - avoid using syntax that is called ambiguous on older perls

5.045     2016-04-22 11:37:13+01:00 Europe/London
        - add 'relationship' option to AutoPrereqs plugin (Karen Etheridge)
        - PrereqScanner role abstracts much of the AutoPrereqs behavior
          (thanks, Olivier Mengu)
        - remove duplicates from the results of the :ExecFiles filefinder
        - [MakeMaker] now rejects version ranges in prereqs if eumm_version is
          not specified to be high enough (7.1101) to guarantee it can be
          handled (Karen Etheridge)
        - allow comments in an authordep specification with a version
        - make FakeReleaser a bit more of a drop-in for UploadToCPAN
          (Erik Carlsson)
        - make PkgDist preserve blank line after 'package' for PkgVersion
          (Chisel Wright)
        - add rename option to [GatherDir::Template] (Alastair McGowan-Douglas)
        - META.json is now emitted in ASCII (using \u... for non-ASCII
          characters) to avoid a bug in older versions of JSON::PP on older
          versions of perl
        - "dzil build --in ." no longer allows you to blow away your cwd

Revision 1.12 / (download) - annotate - [select for diffs], Sun Apr 10 08:07:25 2016 UTC (7 years, 5 months ago) by mef
Branch: MAIN
Changes since 1.11: +5 -5 lines
Diff to previous 1.11 (colored)

(pkgsrc)
 - Add following line for make test
     +BUILD_DEPENDS+=  p5-Scalar-List-Utils>=1.45:../../devel/p5-Scalar-List-Utils
(upstream)
 - Updated to devel/p5-Dist-Zilla-5.044
------------------------------------
5.044     2016-04-06 20:32:14-04:00 America/New_York
        - require a newer List::Util to avoid a dumb bug caused by relying on
          side effects of loading Moose (thanks, Karen Etheridge!)

5.043     2016-01-04 22:54:56-05:00 America/New_York
        - dzil test now supports --extended to set EXTENDED_TESTING (thanks,
          Philippe Bruhat)

5.042     2015-11-26 09:05:37-05:00 America/New_York
        - try to avoid testing errors when the local time zone can't be
          determined (https://github.com/rjbs/Dist-Zilla/issues/497)

5.041     2015-10-27 22:07:54-04:00 America/New_York
        - add 'static_attribution' attribution to MakeMaker plugin
        - fix prereqs for App::Cmd and Config::MVP::Reader::INI

5.040     2015-10-13 11:42:25-04:00 America/New_York
        - the distribution tarball name no longer includes -TRIAL if the
          version contains an underscore

        - [PkgVersion] adds "$VERSION = $VERSION_SANS_UNDERSCORES" when
          version contains an underscore

        - made the PodCoverageTests and PodSyntaxTests plugins generate author
          tests, not release tests. These are tests you want passing on every
          commit, not just before a release (Dave Rolsky)

Revision 1.11 / (download) - annotate - [select for diffs], Tue Nov 3 03:28:11 2015 UTC (7 years, 10 months ago) by agc
Branch: MAIN
CVS Tags: pkgsrc-2016Q1-base, pkgsrc-2016Q1, pkgsrc-2015Q4-base, pkgsrc-2015Q4
Changes since 1.10: +2 -1 lines
Diff to previous 1.10 (colored)

Add SHA512 digests for distfiles for devel category

Issues found with existing distfiles:
	distfiles/eclipse-sourceBuild-srcIncluded-3.0.1.zip
	distfiles/fortran-utils-1.1.tar.gz
	distfiles/ivykis-0.39.tar.gz
	distfiles/enum-1.11.tar.gz
	distfiles/pvs-3.2-libraries.tgz
	distfiles/pvs-3.2-linux.tgz
	distfiles/pvs-3.2-solaris.tgz
	distfiles/pvs-3.2-system.tgz
No changes made to these distinfo files.

Otherwise, existing SHA1 digests verified and found to be the same on
the machine holding the existing distfiles (morden).  All existing
SHA1 digests retained for now as an audit trail.

Revision 1.10 / (download) - annotate - [select for diffs], Sun Aug 16 03:32:25 2015 UTC (8 years, 1 month ago) by mef
Branch: MAIN
CVS Tags: pkgsrc-2015Q3-base, pkgsrc-2015Q3
Changes since 1.9: +4 -4 lines
Diff to previous 1.9 (colored)

(pkgsrc)
 - Add following line for make test to pass
   BUILD_DEPENDS+=	p5-CPAN-Meta-Check-[0-9]*:../../devel/p5-CPAN-Meta-Check
   BUILD_DEPENDS+=	p5-IPC-Run-[0-9]*:../../devel/p5-IPC-Run
   BUILD_DEPENDS+=	p5-Log-Log4perl-[0-9]*:../../devel/p5-Log-Log4perl
   BUILD_DEPENDS+=	p5-Test-FailWarnings-[0-9]*:../../devel/p5-Test-FailWarnings

(upstream)
 - Update 5.036 to 5.039
---------------------
5.039     2015-08-10 09:03:08-04:00 America/New_York
        - update required version of MooseX::Role::Parameterized; older
          versions work, but can cause a bunch of unwanted warnings

5.038     2015-08-07 22:16:50-04:00 America/New_York
        - [License] can be given a filename option to use instead of LICENSE
        - dzil listdeps --develop now exists as an alias for dzil listdeps
          --author (Karen Etheridge)
        - dzil authordeps now lists the Software::License class needed
          (thanks, David Zurborg)
        - PkgVersion now skips .pod files (thanks, David Golden)
        - build_element support added for [ModuleBuild] (thanks, David
          Wheeler!)
        - new native filefinder :ExtraTestFiles (thanks, Karen Etheridge)
        - [AutoPrereqs] now looks for develop prerequisites in xt/ (thanks,
          Karen Etheridge)
        - new file finder ':PerlExecFiles' (thanks, Karen Etheridge)
        - try harder to notice failure to set up build root, especially on
          Win32 (thanks, Christian Walde)
        - better errors when a global config package isn't available (thanks,
          Karen Etheridge)
        - added the "ignore" option to [Encoding] (thanks, Yanick Champoux)
        - allow ; authordep specifications to contain version ranges (thanks,
          Karen Etheridge)
        - better error when PAUSE credentials can't be loaded (thanks, David
          Golden)
        - fix documentation for the LicenseProvider role
        - improve errors when PPI failes to parse (thanks, Nick Tonkin)
        - sort list of executable files in Makefile.PL, for deterministic
          builds (thanks, Karen Etheridge)
        - omit configure-requires prerequisites from [MakeMaker]'s fallback
          prerequisites (used by older ExtUtils::MakeMaker)

5.037     2015-06-04 21:46:38-04:00 America/New_York
        - issue a warning when version ranges are passed through to
          ExtUtils::MakeMaker, which cannot parse them and treats them as '0'
          https://github.com/Perl-Toolchain-Gang/ExtUtils-MakeMaker/issues/215

        - added %P formatter code to [NextRelease] for the releaser's PAUSE id

Revision 1.9 / (download) - annotate - [select for diffs], Sat May 23 02:48:31 2015 UTC (8 years, 4 months ago) by mef
Branch: MAIN
CVS Tags: pkgsrc-2015Q2-base, pkgsrc-2015Q2
Changes since 1.8: +4 -4 lines
Diff to previous 1.8 (colored)

(pkgsrc)
 - Add one DEPENDS archivers/p5-Archive-Tar-Wrapper
   to satisfy one of '# === Runtime Recommends ==='
   (one more to add, Term::ReadLine::Gnu, but not for now).
(upstream)
 - update to 5.036
------------------
5.036     2015-05-02 11:08:51-04:00 America/New_York
        - BUGFIX: detection of trial status via underscore in version was
          accidentally lost in v5.035; restored now!

Revision 1.8 / (download) - annotate - [select for diffs], Tue Apr 21 00:51:40 2015 UTC (8 years, 5 months ago) by mef
Branch: MAIN
Changes since 1.7: +4 -4 lines
Diff to previous 1.7 (colored)

Update to 5.035
---------------
5.035     2015-04-16 15:43:26+02:00 Europe/Berlin
        - BREAKING CHANGE: is_trial is now read-only
        - release_status is a new Dist::Zilla attribute and
          ReleaseStatusProvider plugin role

Revision 1.7 / (download) - annotate - [select for diffs], Thu Apr 9 01:24:06 2015 UTC (8 years, 5 months ago) by mef
Branch: MAIN
Changes since 1.6: +4 -4 lines
Diff to previous 1.6 (colored)

Update 5.032 to 5.034
---------------------
5.034     2015-03-20 10:57:07-04:00 America/New_York
        - require new Config::MVP for better exceptions (that we rely on)
        - point to IRC in dist metadata

5.033     2015-03-17 07:45:36-04:00 America/New_York
        - NextRelease now bases the new file on disk on the original file on
          disk, skipping any munging that happened in between
        - improve error message when a plugin can't be loaded
        - added "use_begin" option to PkgVersion

Revision 1.6 / (download) - annotate - [select for diffs], Sun Mar 1 09:37:19 2015 UTC (8 years, 7 months ago) by mef
Branch: MAIN
CVS Tags: pkgsrc-2015Q1-base, pkgsrc-2015Q1
Changes since 1.5: +4 -4 lines
Diff to previous 1.5 (colored)

Update to 5.032
---------------
5.032     2015-02-21 09:36:00-05:00 America/New_York
        - when :version is in plugin config, it's now enforced as soon as it's
          seen
        - add more documentation about bytes/text files
        - PruneCruft also prunes _eumm/* now

Revision 1.5 / (download) - annotate - [select for diffs], Thu Jan 29 06:44:40 2015 UTC (8 years, 8 months ago) by mef
Branch: MAIN
Changes since 1.4: +4 -4 lines
Diff to previous 1.4 (colored)

(pkgsrc)
  - Following two lines added
  DEPENDS+=      p5-JSON-MaybeXS-[0-9]*:../../converters/p5-JSON-MaybeXS
  DEPENDS+=      p5-Term-UI-[0-9]*:../../devel/p5-Term-UI

(upstream)
  - Update 5.013 to 5.031
---------------------
5.031     2015-01-08 22:04:30-05:00 America/New_York
        - correct a test to avoid testing symlinks on Win32

5.030     2015-01-04 22:31:38-05:00 America/New_York
        - fixed [GatherDir]'s handling of symlinks to directories
        - [AutoPrereqs] now filters out all namespaces found in contained
          modules, not just the one corresponding to the module filename

5.029     2014-12-14 14:44:44-05:00 America/New_York
        - fix new error in [PkgVersion] when a module had no package
          statements
        - further rip out use of JSON.pm

5.028     2014-12-12 19:06:23-05:00 America/New_York
        - fix regression in [PkgVersion] that made false-positive
          identifications for pre-existing assignments to $VERSION
        - try avoid cases in which plugin code directly modifies file list
        - switch, tentatively, to JSON::MaybeXS

5.027     2014-12-09 09:30:30-05:00 America/New_York
        - fix regression in Plugin->plugin_from_config which started passing a
          list of pairs rather than a hashref

5.026     2014-12-08 21:33:55-05:00 America/New_York
        - eliminate use of Moose::Autobox
        - various small performance optimizations
        - add "use_our" option to PkgVersion

5.025     2014-11-10 21:12:14-05:00 America/New_York
        - fix file.t failures with perl v5.14 and v5.16's Carp

5.024     2014-11-05 23:08:07-05:00 America/New_York
        - add the %Mint stash for minting defaults
        - quiet down some low-priority log lines
        - teeny tiny optimization by building dist prereqs structure lazily
        - avoid ever requiring v0 of ExtUtils::MakeMaker
        - fix a module-loading ordering issue in `dzil setup`

5.023     2014-10-30 22:56:42-04:00 America/New_York
        - optimizations to loading of heavyweight libraries in cmd line app
        - some tests are now skipped on Win32 to avoid filename insanity
        - files' added_by data should be more informative
        - conflicts with installed code is now detected and/or advertised

5.022     2014-10-27 22:55:53-04:00 America/New_York
        - several optimizations to how PPI is used
        - handle an empty ABSTRACT better
        - now properly merging distmeta fragments together without loss, using
          new CPAN::Meta::Merge
        - create Makefile.PL and Build.PL files earlier, so they're in the file
          list "the whole time"

5.021     2014-10-20 22:43:52-04:00 America/New_York
        - improve authordeps' ability to cope with version requirements and
          non-default plugin names
        - a few improvements to help given by "dzil help COMMAND"
        - fixes a situation where exclusion-regexp-building in GatherDir
          could mangle the given regexps
        - now properly merging distmeta fragments together without loss, using
          new CPAN::Meta::Merge (Karen Etheridge)
        - [PkgVersion] now properly skips over $VERSION assignments in
          comments (Karen Etheridge, github #322)
        - the building of manpages is supressed in [MakeMaker]-driven builds
        - lazily load quite a few more modules
        - avoid using user's ~/.dzil even more
        - while building dists for testing, don't bother building man pages
        - try harder to notice minimum required perl version
        - try harder to delete temporarily directory at the end of testing
        - don't treat $VERSION assignments in comments as $VERSION assignments
        - listdeps now takes --omit-core to skip core modules
        - don't try to use terminal encoding on locale-free systems
        - suggest the use of PPI::XS
        - speed up and debug behavior of GatherDir

5.020     2014-07-28 20:56:25-04:00 America/New_York
        - the default required version for ExtUtils::MakeMaker in [MakeMaker]
          has been removed
        - load DateTime lazily
        - the default required version for Module::Build in [ModuleBuild] has
          been lowered

5.019     2014-05-20 21:11:47-04:00 America/New_York
        - remove a very brief-lived attempt to double-decode

5.018     2014-05-20 21:07:04-04:00 America/New_York
        - attempt to return abstract-from-file as a string, rather than
          bytes, which can lead to weirdness (github issue #303)

5.017     2014-05-17 08:35:33-04:00 America/New_York
        - dotfiles and dot-directories are now included in sharedirs
        - ModuleBuild and MakeMake should not re-build if it isn't needed
        - authordeps now better understands "perl" dep
        - munging of README is delayed to prevent unneeded work and
          complication
        - MANIFEST is now treated as a binary file
        - 'dzil setup' now warns that credentials are stored in the clear
        - MakeMaker should include fewer empty and useless hashrefs
        - Makefile.old is now pruned as cruft

5.016     2014-05-05 22:27:06-04:00 America/New_York
        - hint about [Encoding] plugin in encoding error message (David
          Golden)

5.015     2014-03-30 21:55:36-04:00 America/New_York
        - make it easier to have multiple PAUSE configs using UploadToCPAN's
          pause_cfg_dir option (thanks, David Golden)

5.014     2014-03-16 16:47:07+01:00 Europe/Paris
        - Added 'jobs' argument for 'dzil test' for parallel testing (thanks,
          David Golden!)
        - add default_jobs attribute to TestRunner role
        - fix the behavior of 'dzil add' with more than one file
          (thanks, Leon Timmermans!)

Revision 1.4 / (download) - annotate - [select for diffs], Mon Feb 10 13:59:06 2014 UTC (9 years, 7 months ago) by wen
Branch: MAIN
CVS Tags: pkgsrc-2014Q4-base, pkgsrc-2014Q4, pkgsrc-2014Q3-base, pkgsrc-2014Q3, pkgsrc-2014Q2-base, pkgsrc-2014Q2, pkgsrc-2014Q1-base, pkgsrc-2014Q1
Changes since 1.3: +4 -4 lines
Diff to previous 1.3 (colored)

Update to 5.013
Update DEPENDS

Upstream changes:
5.013     2014-02-08 17:08:16-05:00 America/New_York
        - META.json is now a UTF-8 file, rather than ASCII
        - document the use of filefinders in [PkgVersion], and remove
          filtering out of .t, .pod files; do skip non-text files, though
        - always load modules in "extra tests" like pod-coverage.t
        - PruneCruft also prunes ./fatlib
        - avoid being tricked by statements in __END__ section when looking for
          variable assignments
        - if "dzil install" fails due to exception, it is now propagated
        - provide a better error when terminal encoding can't be determined

5.012     2014-01-15 09:58:00-05:00 America/New_York
        - when handling a multi-line abstract, fold the lines on whitespace;
          previously, the newlines had been left in, which caused downstream
          warnings

5.011     2014-01-12 16:09:29-05:00 America/New_York
        - ->VERSION is again defined in the tester forms of Builder and Minter
        - remove a small obsolete code path from PkgVersion

5.010     2014-01-11 22:06:04-05:00 America/New_York
        - stop sharing a reference to cached PPI docs, which led to spooky
          action at a distance
        - PkgVersion no longer surrounds the new $VERSION assignment with a
          bare block
        - if there's a blank line after the package statement (and any number
          of comment-only lines), PkgVersion will use that for a $VERSION
          assignment, rather than insert a new line; this can be made mandatory
          with die_on_line_insertion

5.009     2014-01-07 20:21:17-05:00 America/New_York
        - include time offset by default in NextRelease
        - always pass PPI octets, not text

5.008     2013-12-27 21:57:02 America/New_York
        - fix utterly broken `dzil run`

5.007     2013-12-27 20:50:45-05:00 America/New_York
        - add the ability to say "dzil run --no-build" to run a command without
          building inside the dist dir
          (in other words, no `perl Makefile.PL && make`)
        - Archive::Tar::Wrapper added as a recommended prereq
        - fix :ShareFiles (thanks, Christopher J. Madsen and Karen Etheridge)
        - new :AllFiles and :NoFiles filefinders (thanks, Karen Etheridge)
        - most files generated by dzil plugins now self-identify with comments

5.006     2013-11-06 09:21:12 America/New_York
        - add ->is_bytes to files; shortcut for ->encoding eq 'bytes'
          (thanks, David Golden)
        - AutoPrereqs will not try scanning binary files (thanks, David Golden)

5.005     2013-11-02 16:32:04 America/New_York
        - add --keep-build-dir to "dzil test" and "dzil install"

5.004     2013-11-02 09:59:18 America/New_York
        [THIS RELEASE MIGHT BREAK YOUR BUILD]
        - stable release of all the v5 changes below; READ THEM!
        - by default, NextRelease now adds a trial release marker on trial
          releases
        - dzil setup will not echo password during setup

5.003     2013-10-30 08:02:59 America/New_York
        [THIS RELEASE MIGHT BREAK YOUR BUILD]
        - add "dzil --version" support (thanks, Upasana Shukla)
        - fix boneheaded mistake that broke listdeps in 5.002 (thanks, Karen
          Etheridge)

5.002     2013-10-29 10:35:54 America/New_York
        [THIS RELEASE MIGHT BREAK YOUR BUILD]
        - perform encoding steps during listdeps

5.001     2013-10-23 17:40:09 America/New_York
        [THIS RELEASE MIGHT BREAK YOUR BUILD]
        - typo fixes (thanks, David Steinbrunner)

5.000     2013-10-20 08:10:02 America/New_York
        [THIS RELEASE MIGHT BREAK YOUR BUILD]
        - all files now have content, encoded_content, and encoding attributes
        - the Encoding plugin and EncodingProvider role have been added to
          allow you to set the encoding on files; the default is UTF-8
        - config.ini is assumed to be in UTF-8
        - Data::Section sections are assumed to be UTF-8
        - the Term chrome should encode input and output

4.300039  2013-09-20 06:05:10 Asia/Tokyo
        - tweak metafile generator to keep CPAN::Meta validator happy (thanks,
          David Golden)

4.300038  2013-09-08 09:18:34 America/New_York
        - add horrible hack to avoid generating non-UTF-8 META.yml; seriously,
          don't look at the code!  Thanks, David Golden, whose code was simple
          and probably much, much saner, but didn't cover as many cases as rjbs
          wanted to cover.

4.300037  2013-08-28 21:43:36 America/New_York
        - update repo and bugtacker URLs

4.300036  2013-08-25 21:41:21 America/New_York
        - read CPAN::Uploader config with CPAN::Uploader, to work with new
          trial releases supporting encrypted credential (thanks, Mike Doherty)

        - improve tester tests (thanks, Dave O'Neill!)

        - use Class::Load instead of Class::MOP

        - better error messages when a bundle can't be loaded by @Filter

        - make dynamic_config distmeta sticky; once one plugin sets it, it
          stays stuck

        - add a die_on_existing_version option to PkgVersion

        - switch (for now?) "dzil install" to use cpanm

        - PkgVersion won't rewrite file contents if nothing was changed
          (thanks, Mike Doherty!)

Revision 1.3 / (download) - annotate - [select for diffs], Wed Jul 3 16:49:57 2013 UTC (10 years, 2 months ago) by sno
Branch: MAIN
CVS Tags: pkgsrc-2013Q4-base, pkgsrc-2013Q4, pkgsrc-2013Q3-base, pkgsrc-2013Q3
Changes since 1.2: +4 -4 lines
Diff to previous 1.2 (colored)

Updating package for CPAN distribution Dist-Zilla in devel/p5-Dist-Zilla
from 4.300023nb2 to 4.300035.

pkgsrc changes:
- update dependencies

Upstream changes:
4.300035  2013-06-19 21:37:28 America/New_York
          update for new Perl::PrereqScanner, which will find "lib"

          update AutoPrereqs to skip Config and Errno

          fix docs to not suggest obsolete "Prereq" name (thanks, Ivan
          Bessarabov!)

4.300034  2013-04-13 16:56:48 Europe/London
          delay loading of CPAN::Uploader, and require a newer version to
          require HTTPS (thanks, Olivier Mengu©!)

4.300033  2013-04-05 15:00:37 America/New_York
          fix .build/latest (thanks, Karen Etheridge!)

          doc fixes (thanks, Randy Stauner!)

4.300032  2013-03-29 16:41:11 America/New_York
          test_requires support for ModuleBuild and MakeMaker (thanks,
          Tatsuhiko Miyagawa!)

4.300031  2013-03-17 21:47:31 America/New_York
          stacktrace removed from exception when a plugin's minimum version
          check fails (thanks, Karen Etheridge!)

          add 'dzil listdeps --json', which lists all prerequisites broken up
          by phase and type, in readable JSON format (thanks, Karen Etheridge!)

          improve errors when there's not enough configuration and no global
          config file can be found (thanks, Dimitar Petrov)

          delay loading yet more libraries until needed (thanks, Olivier
          Mengu©!)

4.300030  2013-01-30 22:25:27 America/New_York
          listdeps --versions now sorts properly (thanks, Karen Etheridge!)

          delay loading more libraries until needed (thanks, Olivier Mengu©!)

          excluded filenames in GatherDir were sometimes matched too fuzzily
          (thanks, Mike Doherty)

4.300029  2013-01-14 20:03:15 America/New_York
          allow :version directive in root section to require a given version
          of Dist::Zilla

          simply and speedify some of GatherDir (Thanks, Olivier Mengu©!)

4.300028  2012-10-19 10:50:42 America/New_York
          when picking modules to treat as "part of the dist," be more lax in
          understanding libraries under ./t:  ./t/lib/Foo.pm is now treated as
          providing t::lib::Foo, lib::Foo, and Foo

4.300027  2012-10-16 21:07:06 America/New_York
          the "latest" symlink code broke Dist::Zilla on win32; fixed now!
          (thanks, Brendan Byrd!)

4.300026  2012-10-13 22:21:17 America/New_York
          PodSyntaxTests, PodCoverageTests and MetaTests now add the right
          develop/requires prereqs (thanks, Olivier Mengu© and Ricardo Signes!)

          ModuleBuild now takes an mb_lib argument that can override the
          default of "inc" (thanks, ben hengst)

          create .build/latest symlink when a build in .build is built (thanks,
          Alexei Znamensky!)

          allow "-version" arg to [@Filter] to specify the version of the
          bundle required (thanks, Rob Hoelz)

4.300025  2012-10-07 23:02:33 America/New_York
          add the LicenseProvider and NameProvider roles (thanks, Vyacheslav
          Matjukhin!)

          make Dist::Zilla::App::Tester be a CaptureExternal App::Cmd::Tester

4.300024  2012-09-26 12:01:45 America/New_York
          include $] in MetaConfig data

Revision 1.2 / (download) - annotate - [select for diffs], Mon Sep 10 14:12:06 2012 UTC (11 years ago) by sno
Branch: MAIN
CVS Tags: pkgsrc-2013Q2-base, pkgsrc-2013Q2, pkgsrc-2013Q1-base, pkgsrc-2013Q1, pkgsrc-2012Q4-base, pkgsrc-2012Q4, pkgsrc-2012Q3-base, pkgsrc-2012Q3
Changes since 1.1: +4 -4 lines
Diff to previous 1.1 (colored)

Updating package for CPAN module Dist::Zilla in devel/p5-Dist-Zilla from
4.300020 to 4.300023.

pkgsrc changes:
- adjust dependencies

upstream changes:
4.300023  2012-09-06 09:01:12 America/New_York
          do not use ">" in a filename; fixes the build on Win32 (thanks,
          djgoku!)

4.300022  2012-09-05 08:35:27 America/New_York
          do not detect an escaped "\$VERSION =" as an assignment to a variable
          (this is sort of a half-measure)

          'dzil run' also edits $PATH to include ExecDir directories (Karen
          Etheridge)

4.300021  2012-07-31 23:20:50 America/New_York
          plugins can now provide a MANIFEST.SKIP that can be processed by
          ManifestSkip. Previously generated content was just ignored.
          (thanks, Olivier Mengu©!)

          GenerateFile can now also template its filename, with the
          name_is_template option (Thanks, Karen Etheridge!)

Revision 1.1 / (download) - annotate - [select for diffs], Thu Jul 5 17:13:54 2012 UTC (11 years, 2 months ago) by sno
Branch: MAIN

Importing package for Perl 5 module Dist::Zilla version 4.300020 from
CPAN into devel/p5-Dist-Zilla.

Dist::Zilla builds distributions of code to be uploaded to the CPAN.
In this respect, it is like ExtUtils::MakeMaker, Module::Build, or
Module::Install. Unlike those tools, however, it is not also a system for
installing code that has been downloaded from the CPAN. Since it's only
run by authors, and is meant to be run on a repository checkout rather
than on published, released code, it can do much more than those tools,
and is free to make much more ludicrous demands in terms of prerequisites.

This form allows you to request diff's between any two revisions of a file. You may select a symbolic revision name using the selection box or you may type in a numeric name using the type-in text box.




CVSweb <webmaster@jp.NetBSD.org>